<?php
/**
 * This file defines all the necessary constants for the Extended Super Admins plugin
 * @package WordPress
 * @subpackage ExtendedSuperAdmins
 */

if( !defined( 'ESA_OPTION_NAME' ) )
	/**
	 * Define the option name used to set/retrieve this plugin's settings from the database
	 */
	define( 'ESA_OPTION_NAME', 'extended_super_admins' );

if( !defined( 'ESA_PLUGIN_BASENAME' ) )
	/**
	 * Define the plugin_basename for this plugin
	 */
	define( 'ESA_PLUGIN_BASENAME', plugin_basename( str_replace( 'constants-', '', __FILE__ ) ) );

if( !defined( 'ESA_PLUGIN_PATH' ) )
	/**
	 * Define the directory name of this plugin
	 */
	define( 'ESA_PLUGIN_PATH', dirname( ESA_PLUGIN_BASENAME ) );

if( !defined( 'ESA_ABS_DIR' ) )
	/**
	 * Define the full path to this plugin directory
	 */
	define( 'ESA_ABS_DIR', ( ( stristr( __FILE__, 'mu-plugins' ) ) ? WPMU_PLUGIN_DIR : WP_PLUGIN_DIR ) . '/' . dirname(ESA_PLUGIN_BASENAME) );
	
if( !defined( 'ESA_OPTIONS_PAGE' ) )
	/**
	 * Define the name of the options page for WordPress to use
	 */
	define( 'ESA_OPTIONS_PAGE', 'esa_options_page' );

if( !defined( 'ESA_TEXT_DOMAIN' ) )
	/**
	 * Define the plugin_text_domain to be used by this plugin
	 */
	 define( 'ESA_TEXT_DOMAIN', 'esa_text_domain' );

?>